Heray-Was-Here
Server : Apache
System : Linux vps103298.mylogin.co 4.18.0-513.11.1.el8_9.x86_64 #1 SMP Wed Jan 17 02:00:40 EST 2024 x86_64
User : calvet ( 273824)
PHP Version : 7.4.33
Disable Function : NONE
Directory :  /proc/self/root/usr/local/nvm/test/sourcing/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Current File : //proc/self/root/usr/local/nvm/test/sourcing/Sourcing nvm.sh with no default should return 0
#!/bin/sh

die () { echo $@ ; exit 1; }

touch ../../alias/default
rm ../../alias/default || die 'removal of default alias failed'
nvm_alias default && die '"nvm_alias default" did not fail'

set -e # necessary to fail internally with a nonzero code

. ../../nvm.sh || die 'sourcing returned nonzero exit code'

Hry